GROMACS - Bug #2767

grompp warns about md + FEP even for fully coupled states
11/19/2018 05:33 AM - Mark Abraham

Status: Closed

Priority: Normal

Assignee: Berk Hess

Category: preprocessing (pdb2gmx,grompp)

Target version: 2020-rc1

Affected version - probably all versions since about 5.0 Difficulty: uncategorized
extra info:

Affected version: 2018.4

Description

gmx grompp with FEP .mdp inputs and non-SD integrators issues
WARNING 1 [file grompp.mdp, line 62]:
For proper sampling of the (nearly) decoupled state, stochastic dynamics

should be used

It does so even for a fully coupled state. We should not be issuing warnings when there's no data to support that, because that will
train users to use -maxwarn.

We should check if this warning is still appropriate

e at least check the git history for which Redmine added it - is full VDW but no charge OK?
¢ is the warning based on ancient implementations and needs updating?

If we keep it, it should be sensitive to the calculation being done. For example, even slow growth (TI) starting from a not-nearly
decoupled state should not issue it. FEP should only issue it for suitable values of lambda (if any).

Associated revisions

Revision 253b576b - 12/18/2019 11:34 AM - Berk Hess

Change grompp decoupling SD warning to note

The warning that grompp issues when decoupling a molecule
without the use of the SD integrator has been changed to a note,
since there are valid use cases for using normal MD when not
running in the completely decoupled state.

Note that checking for actual decoupled VdW states requires a lot of
code and would still not be 100% correct.

Fixes #2767

Change-Id: 155c84afcbcb7b19bdb8a7a8bc586a65c¢50f8d0c

History

#1 - 11/19/2018 05:34 AM - Mark Abraham
- File fep-warning-repro.tgz added

#2 -11/19/2018 11:41 AM - Berk Hess

The user can manually modify the topology to decouple a molecule. Do we want to check for that? Or do we rather want to reduce false positives and
accept some false negatives? Then we would only need to check if we have a fully decoupled state, i.e. couple-lam0/1 = none with lambda=0/1.

#3 - 12/06/2019 02:43 PM - Berk Hess
- Status changed from New to Fix uploaded
- Assignee set to Berk Hess

- Target version changed from 2020 to 2019.5
Uploaded a "fix" that changes the warning to a note.

#4 - 12/18/2019 11:45 AM - Berk Hess

- Status changed from Fix uploaded to Resolved

Applied in changeset 253b576b2c6581490190f62912da72f4e3744f58.

#5 - 12/19/2019 10:13 AM - Berk Hess
- Target version changed from 2019.5 to 2020-rc1

#6 - 12/20/2019 08:17 AM - Paul Bauer

- Status changed from Resolved to Closed

Files
fep-warning-repro.tgz 5.88 MB 11/19/2018 Mark Abraham
